#include <kdialog.h>
#include <klocale.h>

#ifndef UI_MANAGERMODULEVIEW_H
#define UI_MANAGERMODULEVIEW_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

class Ui_ManagerModuleView
{
public:
    QVBoxLayout *vboxLayout;
    QCheckBox *kcfg_HalBackendEnabled;
    QCheckBox *kcfg_CdPollingEnabled;
    QCheckBox *kcfg_AutostartEnabled;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *ManagerModuleView)
    {
    if (ManagerModuleView->objectName().isEmpty())
        ManagerModuleView->setObjectName(QString::fromUtf8("ManagerModuleView"));
    ManagerModuleView->resize(600, 480);
    vboxLayout = new QVBoxLayout(ManagerModuleView);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    kcfg_HalBackendEnabled = new QCheckBox(ManagerModuleView);
    kcfg_HalBackendEnabled->setObjectName(QString::fromUtf8("kcfg_HalBackendEnabled"));

    vboxLayout->addWidget(kcfg_HalBackendEnabled);

    kcfg_CdPollingEnabled = new QCheckBox(ManagerModuleView);
    kcfg_CdPollingEnabled->setObjectName(QString::fromUtf8("kcfg_CdPollingEnabled"));

    vboxLayout->addWidget(kcfg_CdPollingEnabled);

    kcfg_AutostartEnabled = new QCheckBox(ManagerModuleView);
    kcfg_AutostartEnabled->setObjectName(QString::fromUtf8("kcfg_AutostartEnabled"));

    vboxLayout->addWidget(kcfg_AutostartEnabled);

    spacerItem = new QSpacerItem(21, 360, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);


    retranslateUi(ManagerModuleView);

    QMetaObject::connectSlotsByName(ManagerModuleView);
    } // setupUi

    void retranslateUi(QWidget *ManagerModuleView)
    {
    kcfg_HalBackendEnabled->setText(tr2i18n("Enable HAL backend", 0));
    kcfg_HalBackendEnabled->setProperty("whatsThis", QVariant(tr2i18n("Select this if you want to enable the Hardware Abstraction Layer (http://hal.freedesktop.org/wiki/Software/hal) support.", 0)));
    kcfg_CdPollingEnabled->setText(tr2i18n("Enable CD polling", 0));
    kcfg_CdPollingEnabled->setProperty("whatsThis", QVariant(tr2i18n("Select this to enable the CD polling.", 0)));
    kcfg_AutostartEnabled->setText(tr2i18n("Enable medium application autostart after mount", 0));
    kcfg_AutostartEnabled->setProperty("whatsThis", QVariant(tr2i18n("Select this if you want to enable application autostart after mounting a device.", 0)));
    Q_UNUSED(ManagerModuleView);
    } // retranslateUi

};

namespace Ui {
    class ManagerModuleView: public Ui_ManagerModuleView {};
} // namespace Ui

class ManagerModuleView : public QWidget, public Ui::ManagerModuleView
{
    Q_OBJECT

public:
    ManagerModuleView(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~ManagerModuleView();

protected slots:
    virtual void languageChange();

};

#endif // MANAGERMODULEVIEW_H

