#include <kdialog.h>
#include <klocale.h>

#ifndef UI_NOTIFIERMODULEVIEW_H
#define UI_NOTIFIERMODULEVIEW_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include "kcombobox.h"
#include "klistwidget.h"
#include "kpushbutton.h"

class Ui_NotifierModuleView
{
public:
    QGridLayout *gridLayout;
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *mediumType;
    KComboBox *mimetypesCombo;
    QGridLayout *gridLayout1;
    QVBoxLayout *vboxLayout1;
    KPushButton *addButton;
    KPushButton *deleteButton;
    KPushButton *editButton;
    KPushButton *toggleAutoButton;
    QSpacerItem *spacerItem;
    KListWidget *actionsList;

    void setupUi(QWidget *NotifierModuleView)
    {
    if (NotifierModuleView->objectName().isEmpty())
        NotifierModuleView->setObjectName(QString::fromUtf8("NotifierModuleView"));
    NotifierModuleView->resize(600, 480);
    gridLayout = new QGridLayout(NotifierModuleView);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    mediumType = new QLabel(NotifierModuleView);
    mediumType->setObjectName(QString::fromUtf8("mediumType"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(mediumType->sizePolicy().hasHeightForWidth());
    mediumType->setSizePolicy(sizePolicy);
    mediumType->setWordWrap(false);

    hboxLayout->addWidget(mediumType);

    mimetypesCombo = new KComboBox(NotifierModuleView);
    mimetypesCombo->setObjectName(QString::fromUtf8("mimetypesCombo"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(3), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(mimetypesCombo->sizePolicy().hasHeightForWidth());
    mimetypesCombo->setSizePolicy(sizePolicy1);

    hboxLayout->addWidget(mimetypesCombo);


    vboxLayout->addLayout(hboxLayout);

    gridLayout1 = new QGridLayout();
    gridLayout1->setSpacing(6);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    addButton = new KPushButton(NotifierModuleView);
    addButton->setObjectName(QString::fromUtf8("addButton"));

    vboxLayout1->addWidget(addButton);

    deleteButton = new KPushButton(NotifierModuleView);
    deleteButton->setObjectName(QString::fromUtf8("deleteButton"));

    vboxLayout1->addWidget(deleteButton);

    editButton = new KPushButton(NotifierModuleView);
    editButton->setObjectName(QString::fromUtf8("editButton"));

    vboxLayout1->addWidget(editButton);

    toggleAutoButton = new KPushButton(NotifierModuleView);
    toggleAutoButton->setObjectName(QString::fromUtf8("toggleAutoButton"));

    vboxLayout1->addWidget(toggleAutoButton);


    gridLayout1->addLayout(vboxLayout1, 0, 1, 1, 1);

    spacerItem = new QSpacerItem(70, 101, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout1->addItem(spacerItem, 1, 1, 1, 1);

    actionsList = new KListWidget(NotifierModuleView);
    actionsList->setObjectName(QString::fromUtf8("actionsList"));

    gridLayout1->addWidget(actionsList, 0, 0, 2, 1);


    vboxLayout->addLayout(gridLayout1);


    gridLayout->addLayout(vboxLayout, 0, 0, 1, 1);


    retranslateUi(NotifierModuleView);

    QMetaObject::connectSlotsByName(NotifierModuleView);
    } // setupUi

    void retranslateUi(QWidget *NotifierModuleView)
    {
    mediumType->setText(tr2i18n("Medium types:", 0));
    mimetypesCombo->setProperty("whatsThis", QVariant(tr2i18n("Here is the list of the availables type of medium which can be monitored. You can filter the availables action by selecting a kind of medium. If you want to see all the actions, select \"All Mime Types\".", 0)));
    addButton->setText(tr2i18n("&Add...", 0));
    addButton->setProperty("whatsThis", QVariant(tr2i18n("Click here to add an action.", 0)));
    deleteButton->setText(tr2i18n("&Delete", 0));
    deleteButton->setProperty("whatsThis", QVariant(tr2i18n("Click here to delete the selected action if possible.", 0)));
    editButton->setText(tr2i18n("&Edit...", 0));
    editButton->setProperty("whatsThis", QVariant(tr2i18n("Click here to edit the selected action if possible.", 0)));
    toggleAutoButton->setText(tr2i18n("&Toggle as Auto Action", 0));
    toggleAutoButton->setProperty("whatsThis", QVariant(tr2i18n("Click here to perform automatically this action on detection of the selected medium type (this option is disabled when \"All Mime Types\" is selected).", 0)));
    actionsList->setProperty("whatsThis", QVariant(tr2i18n("Here is the list of the available actions. You can modify them by using the buttons on your right.", 0)));
    Q_UNUSED(NotifierModuleView);
    } // retranslateUi

};

namespace Ui {
    class NotifierModuleView: public Ui_NotifierModuleView {};
} // namespace Ui

class NotifierModuleView : public QWidget, public Ui::NotifierModuleView
{
    Q_OBJECT

public:
    NotifierModuleView(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~NotifierModuleView();

protected slots:
    virtual void languageChange();

};

#endif // NOTIFIERMODULEVIEW_H

